summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2019-04-17 11:41:28 +0200
committerManuel Rüger <mrueg@gentoo.org>2019-04-17 11:41:28 +0200
commit9974109ad64003842220804e5a0af41355a7d8c0 (patch)
tree3d00d1ac99dec2f4f3fac37823441fe3c1e4ec8e /app-metrics
parentdev-vcs/tortoisehg: Removed old. (diff)
downloadgentoo-9974109ad64003842220804e5a0af41355a7d8c0.tar.gz
gentoo-9974109ad64003842220804e5a0af41355a7d8c0.tar.bz2
gentoo-9974109ad64003842220804e5a0af41355a7d8c0.zip
app-metrics/prometheus: Version bump to 2.9.1
Package-Manager: Portage-2.3.63, Repoman-2.3.12 Signed-off-by: Manuel Rüger <mrueg@gentoo.org>
Diffstat (limited to 'app-metrics')
-rw-r--r--app-metrics/prometheus/Manifest1
-rw-r--r--app-metrics/prometheus/prometheus-2.9.1.ebuild68
2 files changed, 69 insertions, 0 deletions
diff --git a/app-metrics/prometheus/Manifest b/app-metrics/prometheus/Manifest
index ba5ee8adb52..937d7c58fdb 100644
--- a/app-metrics/prometheus/Manifest
+++ b/app-metrics/prometheus/Manifest
@@ -3,3 +3,4 @@ DIST prometheus-2.7.2.tar.gz 7276689 BLAKE2B 4fa1325b0f68bd33f4db45d3ea0fcac24bc
DIST prometheus-2.8.0.tar.gz 11097030 BLAKE2B 5c56e5d31048bc35e5c02aed4736590adc2e8a6364b926ed8181aceeaccbd6b86b1a63f59176b6efca9a9adbe3855f8dfb3d20713093d4f38a3c5c3f52061ef5 SHA512 9b0b0679768a9426547b232a87a3109008c28a59ef74b9376f192209c4005c7f18d622601ebef14516786378c5f014f6734a4e1a7929ffc0b9b7c369d28030eb
DIST prometheus-2.8.1.tar.gz 11097954 BLAKE2B 90add9b1daff278b8ec185eee1af5e00e26abaa6ab1f99383dd7de8ce2b99cc0612957681c36640b7a822d3b8d05e5ecb015b00409d67292d6176a058233932e SHA512 7a93d7c6e1f9fc1a57d11e6a17e6d0b3375b2e1babac0a89b8deac0834eac29b3ed7c4131c8992e4cdfd76f7d9eea0162e880fd9e44432f537e070eda647cef2
DIST prometheus-2.9.0.tar.gz 11472875 BLAKE2B 004752e5d454763e5a8df2f4ace2e90d7a8d2234312330b9c8c4554c4370b27cd13bbd674e8c6f0c3f30eb330daabdb5df10ce3bbfc76281f269358123b7385e SHA512 c042df55a8a8c79ca87691e08b94824caf6bfbd6f761fd3b61ed21c8af7eb7924cddc32315f73fd7c25a87e785bab787060f12b6d94081827860ca05666823dc
+DIST prometheus-2.9.1.tar.gz 11474112 BLAKE2B bd5916c81b56b90fc92881cc223974bdf1dc511bc0be5493977f3f187da8deea85e1af2fa0a9dec217d210c2b6714bcca677daa559f7c12e001e80c73f8148ed SHA512 d9ae1078ab5b242020f00f5dfc154a75c3e1473be8f1fbecdf8f2589d55a09f8418cbf9aa189a9b2e61b4b5fca875735a26200496c02bb17793bbccbdc9f69cd
diff --git a/app-metrics/prometheus/prometheus-2.9.1.ebuild b/app-metrics/prometheus/prometheus-2.9.1.ebuild
new file mode 100644
index 00000000000..558158dc117
--- /dev/null
+++ b/app-metrics/prometheus/prometheus-2.9.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/prometheus"
+MY_PV=v${PV/_rc/-rc.}
+PROMETHEUS_COMMIT="ad71f27"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Prometheus monitoring system and time series database"
+HOMEPAGE="https://github.com/prometheus/prometheus"
+SRC_URI="https://${EGO_PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND="
+ >=dev-lang/go-1.12
+ >=dev-util/promu-0.3.0"
+
+PROMETHEUS_HOME="/var/lib/prometheus"
+
+RESTRICT="test"
+
+pkg_setup() {
+ enewgroup prometheus
+ enewuser prometheus -1 -1 "${PROMETHEUS_HOME}" prometheus
+}
+
+src_prepare() {
+ default
+ sed -i -e "s/{{.Revision}}/${PROMETHEUS_COMMIT}/" src/${EGO_PN}/.promu.yml || die
+}
+
+src_compile() {
+ pushd src/${EGO_PN} || die
+ GO111MODULE=on GOPATH="${S}" GOCACHE="${T}/go-cache" promu build -v || die
+ popd || die
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dobin promtool prometheus
+ dodoc -r {documentation,{README,CHANGELOG,CONTRIBUTING}.md}
+ insinto /etc/prometheus
+ doins documentation/examples/prometheus.yml
+ insinto /usr/share/prometheus
+ doins -r console_libraries consoles
+ dosym ../../usr/share/prometheus/console_libraries /etc/prometheus/console_libraries
+ dosym ../../usr/share/prometheus/consoles /etc/prometheus/consoles
+ popd || die
+
+ newinitd "${FILESDIR}"/prometheus.initd prometheus
+ newconfd "${FILESDIR}"/prometheus.confd prometheus
+ keepdir /var/log/prometheus /var/lib/prometheus
+ fowners prometheus:prometheus /var/log/prometheus /var/lib/prometheus
+}
+
+pkg_postinst() {
+ if has_version '<net-analyzer/prometheus-2.0.0_rc0'; then
+ ewarn "Old prometheus 1.x TSDB won't be converted to the new prometheus 2.0 format"
+ ewarn "Be aware that the old data currently cannot be accessed with prometheus 2.0"
+ ewarn "This release requires a clean storage directory and is not compatible with"
+ ewarn "files created by previous beta releases"
+ fi
+}